﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.IO;

namespace pr301_2
{
    class Program
    {
        static void Main()
        {
            // Название и полный путь для исходного файла: 
            string file = "MyText1.txt";
            // Текстовая переменная: 
            string str;
            // Ключевое слово: 
            string word = "exit";
            // Целочисленная переменная: 
            int k = 1;
            try
            { // Контролируемый код
                // Символьный поток для записи в файл:
                StreamWriter fw = new StreamWriter(file);
                Console.WriteLine("Для завершения введите \"{0}\"", word);
                // Считывание текстовых строк с консоли: 
                do
                {
                    // Приглашение ввести строку:
                    Console.Write("{0}-я строка: > ", k);
                    k++;
                    // Считывание текстовой строки с консоли: 
                    str = Console.ReadLine();
                    if (str == word)
                    { // Если введено ключевое слово 
                        // Завершение оператора: 
                        break;
                    }
                    else
                    { // Если не введено ключевое слово 
                        // Запись текстовой строки в файл: 
                        fw.WriteLine(str);
                    }
                } while (true);
                // Закрывается поток: 
                fw.Close();
                Console.WriteLine("Первый файл создан!");
                // ============================================================
                // === Чтение из файла, преобразование и последующая запись ===
                // ============================================================
                // Название и полный путь для результирующего файла: 
                string file2 = "MyText2.txt";
                // Символьный поток для записи в файл:
                StreamWriter fw2 = new StreamWriter(file2);
                // Создание потока для считывания из файла:
                StreamReader fr = new StreamReader(file);
                Console.WriteLine("Содержимое файла:");
                // Считывание строки из файла: 
                str = fr.ReadLine();
                // Построчное считывание содержимого файла: 
                while (str != null)
                {
                    // Меняем все пробелы на подчеркивание, 
                    // а заглавные буквы - на строчные
                    // Замена пробелов на подчеркивания: 
                    str = str.Replace(' ', '_');
                    // Текст с символами в нижнем регистре: 
                    str = str.ToLower();
                    // Отображение считанной из файла строки:
                    Console.WriteLine(str);
                    // Запись преобразованной строки в файл:
                    fw2.WriteLine(str);
                    // Считывание строки из файла: 
                    str = fr.ReadLine();
                }
                // Закрытие потоков: 
                fr.Close();
                fw2.Close();
                Console.WriteLine("Второй файл создан!");
            }
            // Обработка исключений: 
            catch (Exception e)
            {
                Console.WriteLine("Произошла ошибка!");
                Console.WriteLine(e.Message);
            }
            // Задержка:
            Console.ReadLine();
        }
    }
}
